Kubernetes
action Node

# create_node

Create one new node in the cluster

Run it now
View details

Type | action
Module | chaosk8s.node.actions
Name | create_node
Return | kubernetes.client.models.v1_node.V1Node

Usage

JSON

    {
      "name": "create-node",
      "type": "action",
      "provider": {
        "type": "python",
        "module": "chaosk8s.node.actions",
        "func": "create_node"
      }
    }

YAML

    name: create-node
    provider:
      func: create_node
      module: chaosk8s.node.actions
      type: python
    type: action

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
meta | mapping | null | No | Metadata | The metadata payload for the new node
spec | mapping | null | No | Specification | The specification payload for the new node

Due to the way things work on certain cloud providers, you won’t be able to use this meaningfully on them. For instance on GCE, this will likely fail.

See also https://github.com/kubernetes/community/blob/master/contributors/devel/api-conventions.md#idempotency

Signature

    def create_node(
        meta: Dict[str, Any] = None,
        spec: Dict[str, Any] = None,
        secrets: Dict[str, Dict[str, str]] = None
    ) -> kubernetes.client.models.v1_node.V1Node:
        pass

## Related starters

- Kubernetes
  action Node

  ## `cordon_node`

  Cordon nodes matching the given label or name, so that no pods are scheduled on them any longer
- Kubernetes
  action Node

  ## `cordon_node`

  Cordon nodes matching the given label or name, so that no pods are scheduled on them any longer
- Kubernetes
  action Node

  ## `cordon_node`

  Cordon nodes matching the given label or name, so that no pods are scheduled on them any longer